Mention

React 5 Mention plugin

Responsive Mention plugin built with the latest Bootstrap 5. Mention is an autocomplete dropdown menu for your search inputs. It is useful for tagging users or topics.

Note: Read the API tab to find all available options and advanced customization


Basic example

Type @ and use up/down arrows, home/end keys to navigate. Click enter or use mouse click to choose item

        
            
            import React from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              return (
                <MDBMention
                  queryBy='username'
                  label='Type @ to open mentions list'
                  items={[
                    { name: 'James', username: 'james123', image: '' },
                    { name: 'John', username: 'john322', image: '' },
                    { name: 'Mary', username: 'maryx', image: '' }
                  ]}
                />
              );
            }
          
        
    

Toggle show list on trigger

Showing all items on trigger key is turned on by default. Set showListOnTrigger option to false to turn it off and show items only after user search input

        
            
            import React from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              return (
                <MDBMention
                  showListOnTrigger={false}
                  queryBy='username'
                  label='Type @ and start searching items'
                  items={[
                    { name: 'James', username: 'james123', image: '' },
                    { name: 'John', username: 'john322', image: '' },
                    { name: 'Mary', username: 'maryx', image: '' }
                  ]}
                />
              );
            }
          
        
    

Placement example

Use placement options to change placement of the component

        
            
            import React from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              return (
                <>
                  <MDBMention
                    label='Top placement example'
                    queryBy='username'
                    wrapperClass='me-2'
                    placement='top'
                    items={[
                      { name: 'James', username: 'james123', image: '' },
                      { name: 'John', username: 'john322', image: '' },
                      { name: 'Mary', username: 'maryx', image: '' }
                    ]}
                  />
                  <MDBMention
                    queryBy='username'
                    label='Right placement example'
                    placement='right'
                    items={[
                      { name: 'James', username: 'james123', image: '' },
                      { name: 'John', username: 'john322', image: '' },
                      { name: 'Mary', username: 'maryx', image: '' }
                    ]}
                  />
                </>
              );
            }
          
        
    

Textarea example

Mention works also with textarea

        
            
            import React from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              return (
                <MDBMention
                  label='Textarea example'
                  textarea
                  queryBy='username'
                  items={[
                    { name: 'James', username: 'james123', image: '' },
                    { name: 'John', username: 'john322', image: '' },
                    { name: 'Mary', username: 'maryx', image: '' }
                  ]}
                />
              );
            }
          
        
    


Customize no results text

Set noResultsText to a text of your choice to change the message for no results found

        
            
            import React from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              return (
                <MDBMention label='No results text' noResultsLabel='No matches found' items={[]} />
              );
            }
          
        
    

Trigger sign

Use trigger option to change search triggering sign

        
            
            import React from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              return (
                <MDBMention
                  label='Trigger sign'
                  queryBy='username'
                  trigger='#'
                  items={[
                    { name: 'James', username: 'james123', image: '' },
                    { name: 'John', username: 'john322', image: '' },
                    { name: 'Mary', username: 'maryx', image: '' }
                  ]}
                />
              );
            }
          
        
    

Show image

Use showImg option to show images in the mentions list

        
            
            import React from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              return (
                <MDBMention
                  label='Show image'
                  queryBy='username'
                  showImages
                  items={[
                    { name: 'James', username: 'james123', image: 'https://mdbootstrap.com/img/Photos/Others/images/43.webp' },
                    { name: 'John', username: 'john322', image: 'https://mdbootstrap.com/img/Photos/Others/images/43.webp' },
                    { name: 'Mary', username: 'maryx', image: 'https://mdbootstrap.com/img/Photos/Others/images/43.webp' },
                  ]}
                />
              );
            }
          
        
    

Visible items

Use visibleItems option to change the number of options that will be displayed in the select dropdown without scrolling.

        
            
            import React from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              return (
                <MDBMention
                  label='Visible items'
                  queryBy='username'
                  visibleItems={3}
                  items={[
                    { name: 'James', username: 'james123', image: '' },
                    { name: 'John', username: 'john322', image: '' },
                    { name: 'Mary', username: 'maryx', image: '' },
                    { name: 'Diane', username: 'didiane92', image: '' },
                    { name: 'Max', username: 'maximus', image: '' },
                    { name: 'Andrew', username: 'andrew00', image: '' },
                    { name: 'Rebecca', username: 'becky', image: '' },
                    { name: 'Thomas', username: 'tommy16', image: '' },
                    { name: 'Alexander', username: 'xander', image: '' },
                    { name: 'Jessica', username: 'jessyJ12', image: '' },
                  ]}
                />
              );
            }
          
        
    

Multiple lists

Assign multiple mentions to the element by giving each mention different trigger key

        
            
            import React from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              return (
                <MDBMention
                  label='Triggers: @, #, $, %'
                  multiple
                  items={[
                    {
                      queryBy: 'username',
                      trigger: '@',
                      items: [
                        { name: 'James', username: 'james123', image: '' },
                        { name: 'John', username: 'john322', image: '' },
                        { name: 'Mary', username: 'maryx', image: '' },
                        { name: 'Diane', username: 'didiane92', image: '' },
                        { name: 'Max', username: 'maximus', image: '' },
                        { name: 'Andrew', username: 'andrew00', image: '' },
                        { name: 'Rebecca', username: 'becky', image: '' },
                        { name: 'Thomas', username: 'tommy16', image: '' },
                        { name: 'Alexander', username: 'xander', image: '' },
                        { name: 'Jessica', username: 'jessyJ12', image: '' },
                      ],
                    },
                    {
                      trigger: '#',
                      queryBy: 'productName',
                      items: [{ productName: 'fish' }, { productName: 'meat' }, { productName: 'vegetables' }],
                    },
                    {
                      trigger: '$',
                      queryBy: 'id',
                      items: [{ id: '1234' }, { id: '4955' }, { id: '3455' }],
                    },
                    {
                      trigger: '%',
                      queryBy: 'city',
                      items: [{ city: 'Warsaw' }, { city: 'Berlin' }, { city: 'Amsterdam' }],
                    },
                  ]}
                />
              );
            }
          
        
    

Asynchronous data

        
            
            import React, { useState, useEffect } from 'react';
            import { MDBMention } from 'mdb-react-mention';

            export default function App() {
              const [asyncData, setAsyncData] = useState([]);

              useEffect(() => {
                fetch('https://jsonplaceholder.typicode.com/users')
                  .then((data) => data.json())
                  .then((data) => setAsyncData(data));
              }, []);

              return (
                <MDBMention wrapperClass='me-2' label='Async data success' items={asyncData} />
              );
            }
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Mention - API


Import

        
            
            import { MDBMention } from 'mdb-react-mention';
          
        
    

Properties

MDBMention

Name Type Default Description Example
getSelectedItem (e: any) => void Returns a mentioned item <MDBMention items={someData} getSelectedValue={(e: any) => console.log(e)} />
items Record<string, any> [] An array of items to display on the list. If there's more than one trigger - each object should contain the required queryBy, trigger and items values. <MDBMention items={[{ username: 'john123', name: 'John' }]} />
multiple boolean false Enables using more datasets and triggers with a specific structure described above. <MDBMention items={[{ queryBy: 'username', trigger: '@', items: { username: 'john123' } }, { queryBy: 'name', trigger: '#', items: { name: 'John' } }]} multiple />
noResultsLabel string 'No results' The text that will be displayed when no item is found after using mention filter. <MDBMention items={someData} noResultsLabel='No users matching the query' />
placement Placement (check this type in the official popper.js documentation) 'bottom' Changes placement of the component relative to the reference element <MDBMention items={someData} placement='top' />
queryBy string 'name' Changes the key by which list will be rendered and filtered <MDBMention items={someData} queryBy='username' />
showImages boolean false Displays user image on the list <MDBMention items={someData} showImages />
showListOnTrigger boolean true Specifies whether whole list has to be opened before search input <MDBMention items={someData} showListOnTrigger={false} />
textarea boolean false Set true to enable textarea input format <MDBMention items={someData} textarea />
trigger string '@' Changes trigger sign that allows to search for items <MDBMention items={someData} trigger='#' />
visibleItems number 5 The maximum number of items which are visible in the mention dropdown without scrolling. <MDBMention items={someData} visibleItems={3} />
multiple boolean false Enables using more datasets and triggers with a specific structure described above. <MDBMention items={[{ queryBy: 'username', trigger: '@', items: { username: 'john123' } }, { queryBy: 'name', trigger: '#', items: { name: 'John' } }]} multiple />

Events

MDBMention

Name Type Description
getSelectedItem (e: any) => void Returns a mentioned item

Mention

Mention - Bootstrap 5 & Material Design components

Responsive Mention plugin built with the latest Bootstrap 5. Mention is an autocomplete dropdown menu for your search inputs. It is useful for tagging items or topics.

Note: Read the API tab to find all available options and advanced customization


Basic example

Type @ and use up/down arrows, home/end keys to navigate. Click enter or use mouse click to choose item

        
            
              <mdb-form-control>
                <input 
                  mdbInput 
                  mdbMention 
                  queryBy="username"
                  placement="bottom" 
                  trigger='@'
                  type="text" 
                  id="form1" 
                  class="form-control"
                  [items]="items"
                />
                <label mdbLabel class="form-label" for="form1">Example label</label>
              </mdb-form-control>
            
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              items = [
                { name: 'James', username: 'james123', image: '' },
                { name: 'John', username: 'john322', image: '' },
                { name: 'Mary', username: 'maryx', image: '' },
                { name: 'Diane', username: 'didiane92', image: '' },
                { name: 'Max', username: 'maximus', image: '' },
                { name: 'Andrew', username: 'andrew00', image: '' },
                { name: 'Rebecca', username: 'becky', image: '' },
                { name: 'Thomas', username: 'tommy16', image: '' },
                { name: 'Alexander', username: 'xander', image: '' },
                { name: 'Jessica', username: 'jessyJ12', image: '' },
              ];
            };
          
        
    

Toggle show list on trigger

Showing all items on trigger key is turned on by default. Set showListOnTrigger option to false to turn it off and show items only after user search input

        
            
              <mdb-form-control>
                <input 
                  mdbInput 
                  mdbMention 
                  queryBy="username"
                  placement="bottom" 
                  showListOnTrigger="false"
                  trigger="@"
                  type="text" 
                  id="form1" 
                  class="form-control"
                  [items]="items"
                />
                <label mdbLabel class="form-label" for="form1">Example label</label>
              </mdb-form-control>
            
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              items = [
                { name: 'James', username: 'james123', image: '' },
                { name: 'John', username: 'john322', image: '' },
                { name: 'Mary', username: 'maryx', image: '' },
              ];
            };
          
        
    

Placement example

Use placement options to change placement of the component

Position of the component will be flipped to opposite side when no free space is available. Once enough space is detected, component will flip back to its original placement

        
            
            <mdb-form-control>
              <input 
                mdbInput 
                mdbMention 
                queryBy="username"
                placement="top" 
                trigger='@'
                type="text" 
                id="form10" 
                class="form-control"
                [items]="items"
              />
              <label mdbLabel class="form-label" for="form10">Top placement example</label>
            </mdb-form-control>

            <mdb-form-control>
              <input 
                mdbInput 
                mdbMention 
                queryBy="username"
                placement="right" 
                trigger='@'
                type="text" 
                id="form11" 
                class="form-control"
                [items]="items"
              />
              <label mdbLabel class="form-label" for="form11">Right placement example</label>
            </mdb-form-control>
            
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              items = [
                { name: 'James', username: 'james123', image: '' },
                { name: 'John', username: 'john322', image: '' },
                { name: 'Mary', username: 'maryx', image: '' },
                { name: 'Diane', username: 'didiane92', image: '' },
                { name: 'Max', username: 'maximus', image: '' },
                { name: 'Andrew', username: 'andrew00', image: '' },
                { name: 'Rebecca', username: 'becky', image: '' },
                { name: 'Thomas', username: 'tommy16', image: '' },
                { name: 'Alexander', username: 'xander', image: '' },
                { name: 'Jessica', username: 'jessyJ12', image: '' },
              ];
            };
          
        
    

Textarea example

Mention works also with textarea

        
            
            <mdb-form-control>
              <textarea 
                mdbInput 
                mdbMention 
                queryBy="username"
                placement="bottom" 
                trigger='@'
                type="text" 
                id="form8" 
                class="form-control"
                [items]="items"
              ></textarea>
              <label mdbLabel class="form-label" for="form8">Textarea example</label>
            </mdb-form-control>
          
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            items = [
              { name: 'James', username: 'james123', image: '' },
              { name: 'John', username: 'john322', image: '' },
              { name: 'Mary', username: 'maryx', image: '' },
            ];
          };
        
        
    


Customize no results text

Set noResultsText to a text of your choice to change the message for no results found

        
            
          <mdb-form-control>
            <input 
              mdbInput 
              mdbMention 
              queryBy="name"
              noResultsText="No results found"
              placement="bottom" 
              trigger='@'
              type="text" 
              id="form11" 
              class="form-control"
              [items]="items"
            />
            <label mdbLabel class="form-label" for="form11">Search by name</label>
          </mdb-form-control>
          
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent {
            items = [
              { name: 'James', username: 'james123', image: '' },
              { name: 'John', username: 'john322', image: '' },
              { name: 'Mary', username: 'maryx', image: '' },
            ];
          };
        
        
    

Trigger sign

Use trigger option to change search triggering sign

        
            
        <mdb-form-control>
          <input 
            mdbInput 
            mdbMention 
            queryBy="name"
            noResultsText="No results found"
            placement="bottom" 
            trigger="#"
            type="text" 
            id="form11" 
            class="form-control"
            [items]="items"
          />
          <label mdbLabel class="form-label" for="form11">Search by name</label>
        </mdb-form-control>
        
        
    
        
            
        import { Component } from '@angular/core';

        @Component({
          selector: 'app-root',
          templateUrl: './app.component.html',
        })
        export class AppComponent {
          items = [
            { name: 'James', username: 'james123', image: '' },
            { name: 'John', username: 'john322', image: '' },
            { name: 'Mary', username: 'maryx', image: '' },
          ];
        };
      
        
    

Show image

Use showImg option to show images in the mentions list

        
            
            <mdb-form-control>
              <input 
                mdbInput 
                mdbMention 
                queryBy="username"
                placement="bottom" 
                showImg="true"
                trigger='@'
                type="text" 
                id="form1" 
                class="form-control"
                [items]="items"
              />
              <label mdbLabel class="form-label" for="form1">Example label</label>
            </mdb-form-control>
            
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              items = [
                {
                  name: 'James',
                  username: 'james123',
                  image: 'https://mdbootstrap.com/img/Photos/Others/images/43.webp',
                },
                {
                  name: 'John',
                  username: 'john322',
                  image: 'https://mdbootstrap.com/img/Photos/Others/images/43.webp',
                },
                {
                  name: 'Mary',
                  username: 'maryx',
                  image: 'https://mdbootstrap.com/img/Photos/Others/images/43.webp',
                },
              ];
            };
          
        
    

Visible items

Use visibleItems option to change the number of options that will be displayed in the select dropdown without scrolling.

        
            
              <mdb-form-control>
                <input 
                  mdbInput 
                  mdbMention 
                  visibleItems="3"
                  queryBy="username"
                  placement="bottom" 
                  trigger='@'
                  type="text" 
                  id="form1" 
                  class="form-control"
                  [items]="items"
                />
                <label mdbLabel class="form-label" for="form1">Visible items</label>
              </mdb-form-control>
            
        
    
        
            
            import { Component } from '@angular/core';
    
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              items = [
                { name: 'James', username: 'james123', image: '' },
                { name: 'John', username: 'john322', image: '' },
                { name: 'Mary', username: 'maryx', image: '' },
                { name: 'Diane', username: 'didiane92', image: '' },
                { name: 'Max', username: 'maximus', image: '' },
                { name: 'Andrew', username: 'andrew00', image: '' },
                { name: 'Rebecca', username: 'becky', image: '' },
                { name: 'Thomas', username: 'tommy16', image: '' },
                { name: 'Alexander', username: 'xander', image: '' },
                { name: 'Jessica', username: 'jessyJ12', image: '' },
              ]
            };
          
        
    

Multiple lists

Assign multiple mentions to the element by giving each mention different trigger key

        
            
              <mdb-form-control>
                <input 
                  mdbInput 
                  mdbMention 
                  placement="bottom" 
                  [trigger]="['@', '#', '$', '%']"
                  [queryBy]="multipleExampleQueryBy"
                  (mentionChange)="onMentionChange($event)"
                  type="text" 
                  id="form4" 
                  class="form-control"
                  [items]="multipleExampleItems"
                />
                <label mdbLabel class="form-label" for="form4">Triggers: @, #, $, %</label>
              </mdb-form-control>
            
        
    
        
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {

              activeTriggerMultipleExample = '';

              onTriggerChange(mentionChange) {
                const triggerChanged = this.activeTriggerMultipleExample !== mentionChange.trigger;
                if (!triggerChanged) {
                  return;
                }
                this.activeTriggerMultipleExample = mentionChange.trigger;
            
                switch (this.activeTriggerMultipleExample) {
                  case '@':
                    this.multipleExampleItems = [
                      { name: 'James', username: 'james123', image: '' },
                      { name: 'John', username: 'john322', image: '' },
                      { name: 'Mary', username: 'maryx', image: '' },
                      { name: 'Diane', username: 'didiane92', image: '' },
                    ];
                    this.multipleExampleQueryBy = 'name';
                    break;
                  case '#':
                    this.multipleExampleItems = [
                      { productName: 'fish' },
                      { productName: 'meat' },
                      { productName: 'vegetables' },
                    ];
                    this.multipleExampleQueryBy = 'productName';
                    break;
                  case '$':
                    this.multipleExampleItems = [{ id: '1234' }, { id: '4955' }, { id: '3455' }];
                    this.multipleExampleQueryBy = 'id';
                    break;
                  case '%':
                    this.multipleExampleItems = [{ city: 'Warsaw' }, { city: 'Berlin' }, { city: 'Amsterdam' }];
                    this.multipleExampleQueryBy = 'city';
                    break;
                }
              }
            }
            
        
    

Async

Use disableFilter option to disable filtering by directive and use asynchronous data loading

        
            
              <mdb-form-control>
                <input 
                  mdbInput 
                  mdbMention 
                  (mentionChange)="onMentionValueChangedAsyncExample($event)"
                  (mentionClose)="onMentionCloseAsyncExample()"
                  placement="top" 
                  type="text" 
                  [items]="asyncExampleItems" 
                  [disableFilter]="true"
                  [showNoResultText]="asyncShowNoResults"
                  queryBy="username"
                  id="form3" 
                  class="form-control"
                />
                <label mdbLabel class="form-label" for="form3">Async data success</label>
              </mdb-form-control>
              <div class="mx-2"></div>
              <mdb-form-control>
                <input 
                  mdbInput 
                  mdbMention 
                  (mentionChange)="onMentionValueChangedError()"
                  [noResultText]="noResultAsync"
                  [showNoResultText]="false"
                  placement="top" 
                  type="text" 
                  [items]="asyncErrorExampleItems"
                  [disableFilter]="true"
                  [asyncError]="asyncError"
                  queryBy="username"
                  id="form3" 
                  class="form-control"
                  />
                <label mdbLabel class="form-label" for="form3">Async data error</label>
              </mdb-form-control>
            
        
    
        
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {

              noResultAsync = 'No result found';
              asyncExampleItems: any[] = [];
              asyncShowNoResults = false;
              asyncErrorExampleItems: any[] = [];
              asyncError: boolean = false;

              onMentionValueChangedAsyncExample(value) {
                const url = `https://jsonplaceholder.typicode.com/users`;
                this._http
                  .get(url)
                  .pipe(catchError(() => of(`val`)))
                  .subscribe((data) => {
                    this.asyncExampleItems = Object.values(data).filter((user) =>
                      user['username'].toLowerCase().includes(value.searchTerm.toLowerCase())
                    );
                    this.asyncShowNoResults = true;
                  });
                }

                onMentionCloseAsyncExample() {
                  this.asyncShowNoResults = false;
                }

                onMentionValueChangedError() {
                  const url = `https://invalid-link.com`;
                  this._http
                    .get(url)
                    .pipe(
                      catchError(() => {
                        this.asyncError = true;
                        this.noResultAsync = 'There was problem reaching your data from the server';
                        return of(`val`);
                      })
                    )
                    .subscribe((data) => {});
                }
            }
            
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Mention - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/mention
     
        
    

Import

        
            
      import { MdbMentionModule } from 'mdb-angular-mention';
      …
      @NgModule ({
        ...
        imports: [MdbMentionModule],
        ...
      })
      
        
    
        
            
      @import 'mdb-angular-mention/scss/mention.scss';
    
        
    

Inputs

Name Type Default Description
items Array '[]' An array of items to display on the list. Each user should contain the required username key value. Other key values are optional e.g. user, image
noResultText String 'No results found' The text that will be displayed when no item is found after using mention filter
trigger String '@' Changes trigger sign that allows to search for items
queryBy String 'name' Changes the key by which list will be rendered and filtered
placement String 'bottom' Changes placement of the component relative to the reference element
showListOnTrigger Boolean 'true' Specifies whether whole list has to be opened before search input
showImg Boolean 'true' Displays user image on the list
asyncError Boolean 'false' Allows to manually show an error in a dropdown list
showNoResultText Boolean 'true' Specifies whether the built-in 'no results' error should be displayed if there is no results
outputKey String '' Changes the key by which chosen item will be insterted into the input/textarea
disableFilter Boolean 'false' Disables filtering to enable client side and dynamic filtering of items
visibleItems Number 5 The maximum number of items which are visible in the mention dropdown without scrolling.

Outputs

Name Type Description
mentionOpen EventEmitter<void> This output fires immediately when the mention is opened.
mentionClose EventEmitter<void> This output fires immediately when the mention is closed.
mentionSelect EventEmitter<any> This output fires immediately when the list item is selected
mentionChange EventEmitter<MdbMentionChange> This output fires immediately when the mention reference element value changes
        
            
            <mdb-form-control>
              <input
                mdbInput
                mdbMention
                queryBy="username"
                placement="bottom"
                trigger="@"
                type="text"
                id="form1"
                class="form-control"
                [items]="items"
                (mentionOpen)="onMentionOpen()"
                (mentionChange)="onMentionChange($event)"
              />
              <label mdbLabel class="form-label" for="form1">Example label</label>
            </mdb-form-control>                                       
            
        
    
        
            
            import { Component } from '@angular/core';
            import { MdbMentionChange } from 'mdb-angular-mention';
            
            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
            })
            export class AppComponent {
              items = [
                { name: 'James', username: 'james123', image: '' },
                { name: 'John', username: 'john322', image: '' },
                { name: 'Mary', username: 'maryx', image: '' },
              ];
              onMentionOpen() {
                console.log('mention open: ');
              }
              onMentionChange(event: MdbMentionChange) {
                console.log('mention changed: ', event);
              }
            }                                       
            
        
    

Methods

Name Description Example
open Manually opens a mention mention.open()
close Manually close a mention mention.close()
        
            
          <mdb-form-control>
            <input
              mdbInput
              mdbMention
              queryBy="username"
              placement="bottom"
              trigger="@"
              type="text"
              id="form1"
              class="form-control"
              [items]="items"
            />
            <label mdbLabel class="form-label" for="form1">Example label</label>
          </mdb-form-control>                            
          
        
    
        
            
          import { AfterViewInit, Component, ViewChild } from '@angular/core';
          import { MdbMentionDirective } from 'mdb-angular-mention';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
          })
          export class AppComponent implements AfterViewInit {
            @ViewChild(MdbMentionDirective) mention!: MdbMentionDirective;
          
            items = [
              { name: 'James', username: 'james123', image: '' },
              { name: 'John', username: 'john322', image: '' },
              { name: 'Mary', username: 'maryx', image: '' },
            ];
          
            ngAfterViewInit(): void {
              this.mention.open();
            }
          }

Mention

Vue Bootstrap 5 Mention plugin

Responsive Mention plugin built with the latest Bootstrap 5 and Vue 3. Mention is an autocomplete dropdown menu for your search inputs. It is useful for tagging users or topics.

Note: Read the API tab to find all available options and advanced customization


Basic example

Type @ and use up/down arrows, home/end keys to navigate. Click enter or use mouse click to choose item

        
            
            <template>
              <MDBMention :items="items1" queryBy="username">
                <MDBInput label="Type @ to open mentions list" />
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
                setup() {
                  const items1 = [
                    { name: "James", username: "james123", image: "" },
                    { name: "John", username: "john322", image: "" },
                    { name: "Mary", username: "maryx", image: "" },
                    { name: "Diane", username: "didiane92", image: "" },
                    { name: "Max", username: "maximus", image: "" },
                    { name: "Andrew", username: "andrew00", image: "" },
                    { name: "Rebecca", username: "becky", image: "" },
                    { name: "Thomas", username: "tommy16", image: "" },
                    { name: "Alexander", username: "xander", image: "" },
                    { name: "Jessica", username: "jessyJ12", image: "" },
                  ];
                  return {
                    items1,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";

              const items1 = [
                { name: "James", username: "james123", image: "" },
                { name: "John", username: "john322", image: "" },
                { name: "Mary", username: "maryx", image: "" },
                { name: "Diane", username: "didiane92", image: "" },
                { name: "Max", username: "maximus", image: "" },
                { name: "Andrew", username: "andrew00", image: "" },
                { name: "Rebecca", username: "becky", image: "" },
                { name: "Thomas", username: "tommy16", image: "" },
                { name: "Alexander", username: "xander", image: "" },
                { name: "Jessica", username: "jessyJ12", image: "" },
              ];
            </script>
          
        
    

Data from HTML

Mention component can be reached without setup initialization.

In such case list items should have proper data-mdb- attributes and list should have mention-data-items class.

        
            
            <template>
              <MDBMention queryBy="username">
                <MDBInput
                  label="Type @ to open mentions list"
                />
                <ul class="mention-data-items">
                  <li
                    data-mdb-name="James"
                    data-mdb-username="james123"
                    data-mdb-img="..."
                  ></li>
                  <li
                    data-mdb-name="John"
                    data-mdb-username="john322"
                    data-mdb-img="..."
                  ></li>
                  <li
                    data-mdb-name="Mary"
                    data-mdb-username="maryx"
                    data-mdb-img="..."
                  ></li>
                </ul>
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
            </script>
          
        
    

Toggle show list on trigger

Showing all items on trigger key is turned on by default. Set showListOnTrigger prop to false to turn it off and show items only after user search input.

        
            
            <template>
              <MDBMention
                :items="items2"
                queryBy="username"
                :showListOnTrigger="false"
              >
                <MDBInput
                  label="Type @ and start searching items"
                />
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
                setup() {
                  const items2 = [
                    { name: "James", username: "james123", image: "" },
                    { name: "John", username: "john322", image: "" },
                    { name: "Mary", username: "maryx", image: "" },
                  ];
                  return {
                    items2,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";

              const items2 = [
                { name: "James", username: "james123", image: "" },
                { name: "John", username: "john322", image: "" },
                { name: "Mary", username: "maryx", image: "" },
              ];
            </script>
          
        
    

Placement example

Use placement prop to change placement of the component

Position of the component will be flipped to opposite side when no free space is available. Once enough space is detected, component will flip back to its original placement

        
            
            <template>
              <MDBMention :items="items2" queryBy="username" placement="top">
                <MDBInput label="Top placement example" />
              </MDBMention>
              <MDBMention :items="items2" queryBy="username" placement="right">
                <MDBInput label="Right placement example" />
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
                setup() {
                  const items2 = [
                    { name: "James", username: "james123", image: "" },
                    { name: "John", username: "john322", image: "" },
                    { name: "Mary", username: "maryx", image: "" },
                  ];
                  return {
                    items2,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";

              const items2 = [
                { name: "James", username: "james123", image: "" },
                { name: "John", username: "john322", image: "" },
                { name: "Mary", username: "maryx", image: "" },
              ];
            </script>
          
        
    

Textarea example

Mention works also with textarea

        
            
            <template>
              <MDBMention :items="items2" queryBy="username">
                <MDBTextarea label="Textarea example" rows="2" />
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBTextarea } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBTextarea,
                },
                setup() {
                  const items2 = [
                    { name: "James", username: "james123", image: "" },
                    { name: "John", username: "john322", image: "" },
                    { name: "Mary", username: "maryx", image: "" },
                  ];
                  return {
                    items2,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBTextarea } from "mdb-vue-ui-kit";
        
              const items2 = [
                { name: "James", username: "james123", image: "" },
                { name: "John", username: "john322", image: "" },
                { name: "Mary", username: "maryx", image: "" },
              ];
            </script>
          
        
    


Customize no results text

Set noResultsText to a text of your choice to change the message for no results found.

        
            
            <template>
              <MDBMention
                :items="items2"
                queryBy="username"
                noResultsText="No results found"
              >
                <MDBInput label="No results text" />
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
                setup() {
                  const items2 = [
                    { name: "James", username: "james123", image: "" },
                    { name: "John", username: "john322", image: "" },
                    { name: "Mary", username: "maryx", image: "" },
                  ];
                  return {
                    items2,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
           
              const items2 = [
                { name: "James", username: "james123", image: "" },
                { name: "John", username: "john322", image: "" },
                { name: "Mary", username: "maryx", image: "" },
              ];
            </script>
          
        
    

Trigger sign

Use trigger prop to change search triggering sign

        
            
            <template>
              <MDBMention :items="items2" queryBy="username" trigger="#">
                <MDBInput label="Trigger sign" />
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
                setup() {
                  const items2 = [
                    { name: "James", username: "james123", image: "" },
                    { name: "John", username: "john322", image: "" },
                    { name: "Mary", username: "maryx", image: "" },
                  ];
                  return {
                    items2,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
           
              const items2 = [
                { name: "James", username: "james123", image: "" },
                { name: "John", username: "john322", image: "" },
                { name: "Mary", username: "maryx", image: "" },
              ];
            </script>
          
        
    

Show image

Use showImage prop to show images in the mentions list

        
            
            <template>
              <MDBMention :items="items3" queryBy="username" showImage>
                <MDBInput label="Show image" />
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
                setup() {
                  const items3 = [
                    { name: 'James', username: 'james123', image: 'https://mdbootstrap.com/img/Photos/Others/images/43.jpg' },
                    { name: 'John', username: 'john322', image: 'https://mdbootstrap.com/img/Photos/Others/images/43.jpg' },
                    { name: 'Mary', username: 'maryx', image: 'https://mdbootstrap.com/img/Photos/Others/images/43.jpg' },
                  ];
                  return {
                    items3
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
            
              const items3 = [
                { name: 'James', username: 'james123', image: 'https://mdbootstrap.com/img/Photos/Others/images/43.jpg' },
                { name: 'John', username: 'john322', image: 'https://mdbootstrap.com/img/Photos/Others/images/43.jpg' },
                { name: 'Mary', username: 'maryx', image: 'https://mdbootstrap.com/img/Photos/Others/images/43.jpg' },
              ];
            </script>
          
        
    

Visible items

Use visibleItems prop to change the number of options that will be displayed in the select dropdown without scrolling.

        
            
            <template>
              <MDBMention :items="items1" queryBy="username" :visibleItems="3">
                <MDBInput label="Visible items" />
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
                setup() {
                  const items1 = [
                    { name: "James", username: "james123", image: "" },
                    { name: "John", username: "john322", image: "" },
                    { name: "Mary", username: "maryx", image: "" },
                    { name: "Diane", username: "didiane92", image: "" },
                    { name: "Max", username: "maximus", image: "" },
                    { name: "Andrew", username: "andrew00", image: "" },
                    { name: "Rebecca", username: "becky", image: "" },
                    { name: "Thomas", username: "tommy16", image: "" },
                    { name: "Alexander", username: "xander", image: "" },
                    { name: "Jessica", username: "jessyJ12", image: "" },
                  ];
                  return {
                    items1
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
      
              const items1 = [
                { name: "James", username: "james123", image: "" },
                { name: "John", username: "john322", image: "" },
                { name: "Mary", username: "maryx", image: "" },
                { name: "Diane", username: "didiane92", image: "" },
                { name: "Max", username: "maximus", image: "" },
                { name: "Andrew", username: "andrew00", image: "" },
                { name: "Rebecca", username: "becky", image: "" },
                { name: "Thomas", username: "tommy16", image: "" },
                { name: "Alexander", username: "xander", image: "" },
                { name: "Jessica", username: "jessyJ12", image: "" },
              ];
            </script>
          
        
    

Multiple lists

Assign multiple mentions to the element by wrapping an input by any number of Mention elements.

        
            
            <template>
              <MDBMention :items="items1" trigger="@" queryBy="username">
                <MDBMention :items="items4" trigger="#" queryBy="productName">
                  <MDBMention :items="items5" trigger="$" queryBy="id">
                    <MDBMention :items="items6" trigger="%" queryBy="city">
                      <MDBInput label="Triggers: @, #, $, %" style="width: 22rem" />
                    </MDBMention>
                  </MDBMention>
                </MDBMention>
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
                setup() {
                  const items1 = [
                    { name: "James", username: "james123", image: "" },
                    { name: "John", username: "john322", image: "" },
                    { name: "Mary", username: "maryx", image: "" },
                    { name: "Diane", username: "didiane92", image: "" },
                    { name: "Max", username: "maximus", image: "" },
                    { name: "Andrew", username: "andrew00", image: "" },
                    { name: "Rebecca", username: "becky", image: "" },
                    { name: "Thomas", username: "tommy16", image: "" },
                    { name: "Alexander", username: "xander", image: "" },
                    { name: "Jessica", username: "jessyJ12", image: "" },
                  ];
                  const items4 = [
                    { productName: "fish" },
                    { productName: "meat" },
                    { productName: "vegetables" },
                  ];
                  const items5 = [{ id: "1234" }, { id: "4955" }, { id: "3455" }];
                  const items6 = [
                    { city: "Warsaw" },
                    { city: "Berlin" },
                    { city: "Amsterdam" },
                  ];
                  return {
                    items1,
                    items4,
                    items5,
                    items6,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
          
              const items1 = [
                { name: "James", username: "james123", image: "" },
                { name: "John", username: "john322", image: "" },
                { name: "Mary", username: "maryx", image: "" },
                { name: "Diane", username: "didiane92", image: "" },
                { name: "Max", username: "maximus", image: "" },
                { name: "Andrew", username: "andrew00", image: "" },
                { name: "Rebecca", username: "becky", image: "" },
                { name: "Thomas", username: "tommy16", image: "" },
                { name: "Alexander", username: "xander", image: "" },
                { name: "Jessica", username: "jessyJ12", image: "" },
              ];
              const items4 = [
                { productName: "fish" },
                { productName: "meat" },
                { productName: "vegetables" },
              ];
              const items5 = [{ id: "1234" }, { id: "4955" }, { id: "3455" }];
              const items6 = [
                { city: "Warsaw" },
                { city: "Berlin" },
                { city: "Amsterdam" },
              ];
            </script>
          
        
    

Asynchronous data

        
            
            <template>
              <MDBMention :items="items7" queryBy="username" class="me-2">
                <MDBInput label="Async data success" />
              </MDBMention>
              <MDBMention
                :items="items8"
                queryBy="username"
                noItemsText="There was problem reaching your data from the server"
              >
                <MDBInput label="Async data error" />
              </MDBMention>
            </template>
          
        
    
        
            
            <script>
              import { ref } from "vue";
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
              export default {
                name: "App",
                components: {
                  MDBMention,
                  MDBInput,
                },
                setup() {
                  const items7 = ref([]);
                  const items8 = [];
                  fetch("https://jsonplaceholder.typicode.com/users")
                    .then((response) => response.json())
                    .then((data) => (items7.value = data));
                  return {
                    items7,
                    items8,
                  };
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { ref } from "vue";
              import { MDBMention } from "mdb-vue-mention";
              import { MDBInput } from "mdb-vue-ui-kit";
          
              const items7 = ref([]);
              const items8 = [];
              fetch("https://jsonplaceholder.typicode.com/users")
                .then((response) => response.json())
                .then((data) => (items7.value = data));
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Mention - API


Import

        
            
          <script>
            import { MDBMention } from "mdb-vue-mention";
          </script>
        
        
    

Props

Prop Type Default Description
items Array Defines mention items.
itemHeight Number 35 Defines mention item height.
noItemsText String "" Defines no items text.
noResultsText String "No results found" Defines no results text.
placement String "bottom" Defines dropdown default position.
queryBy String "name" Defines query rule.
showImage Boolean false Enables images in dropdown.
showListOnTrigger Boolean true Enables showing list right after trigger typing.
tag String "div" Defines wrapper tag.
trigger String "@" Defines default trigger.
visibleItems Number 5 Defines max number of visible items in the list.

Methods

Name Description
open Manually opens a mention
close Manually closes a mention
        
            
        <template>
          <MDBMention ref="mentionRef" :items="items1" queryBy="username">
            <MDBInput label="Type @ to open mentions list" />
          </MDBMention>
        </template>
        
        
    
        
            
        <script>
          import { MDBMention } from "mdb-vue-mention";
          import { MDBInput } from "mdb-vue-ui-kit";
          import { onMounted, ref } from "vue";
          
          export default {
            name: "App",
            components: {
              MDBMention,
              MDBInput,
            },
            setup() {
              const items1 = [
                { name: "James", username: "james123", image: "" },
                { name: "John", username: "john322", image: "" },
                { name: "Mary", username: "maryx", image: "" },
              ];
          
              const mentionRef = ref(null);
          
              onMounted(() => mentionRef.value?.open());
          
              return {
                items1,
                mentionRef,
              };
            },
          };
        </script>
        
        
    
        
            
        <script setup lang="ts">
          import { MDBMention } from "mdb-vue-mention";
          import { MDBInput } from "mdb-vue-ui-kit";
          import { onMounted, ref } from "vue";
          
          const items1 = [
            { name: "James", username: "james123", image: "" },
            { name: "John", username: "john322", image: "" },
            { name: "Mary", username: "maryx", image: "" },
          ];
          
          const mentionRef = ref<InstanceType<typeof MDBMention> | null>(null);
          
          onMounted(() => mentionRef.value?.open());
        </script>
        
        
    

Events

Name Description
open This event fires immediately when the mention is opened.
close This event fires immediately when the mention is closed.
select This event fires immediately when the list item is selected. I returns selected item queryBy value.
change This event fires immediately when the mention reference element value changes.
        
            
        <template>
          <MDBMention @open="doSomething" >...</MDBMention >
        </template>